Bug 200978 - [GTK][WPE] Support for command "--version" on the MiniBrowser
Summary: [GTK][WPE] Support for command "--version" on the MiniBrowser
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Carlos Alberto Lopez Perez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-21 07:53 PDT by Carlos Alberto Lopez Perez
Modified: 2019-10-04 05:35 PDT (History)
2 users (show)

See Also:


Attachments
Patch (3.96 KB, patch)
2019-08-21 07:59 PDT, Carlos Alberto Lopez Perez
no flags Details | Formatted Diff | Diff
Patch (3.97 KB, patch)
2019-08-22 03:22 PDT, Carlos Alberto Lopez Perez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Alberto Lopez Perez 2019-08-21 07:53:09 PDT
Printing the engine version used from the MiniBrowser is useful.

For example, the test scripts on WPT can use this info to better tag results.
Comment 1 Carlos Alberto Lopez Perez 2019-08-21 07:59:58 PDT
Created attachment 376879 [details]
Patch
Comment 2 Carlos Alberto Lopez Perez 2019-08-22 03:22:07 PDT
Created attachment 377002 [details]
Patch
Comment 3 Carlos Alberto Lopez Perez 2019-08-22 04:19:03 PDT
Comment on attachment 377002 [details]
Patch

Clearing flags on attachment: 377002

Committed r249003: <https://trac.webkit.org/changeset/249003>
Comment 4 Carlos Alberto Lopez Perez 2019-08-22 04:19:07 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Carlos Alberto Lopez Perez 2019-08-22 04:41:10 PDT
Committed r249004: <https://trac.webkit.org/changeset/249004>